MIX_GetTrackAudio(3)

NAME
MIX_GetTrackAudio - Query the MIX_Audio assigned to a track.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

MIX_Audio * MIX_GetTrackAudio(MIX_Track *track);

DESCRIPTION
This returns the MIX_Audio object currently assigned to track through a call to MIX_SetTrackAudio(). If there is none assigned, or the track has an input that isn't a MIX_Audio (such as an SDL_AudioStream or SDL_IOStream), this will return NULL.

On various errors (MIX_Init() was not called, the track is NULL), this returns NULL, but there is no mechanism to distinguish errors from tracks without a valid input.

FUNCTION PARAMETERS

track
    the track to query.

RETURN VALUE
Returns a MIX_Audio if available, NULL if not.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_GetTrackAudioStream(3)